/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-08-21
 * 描述            ：二级接口-12mm纵剪PDO-班报
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.Lengthwise.Performance.vo;
import java.io.Serializable;
import java.util.Date;

import market.Mes.Lengthwise.Performance.mapper.IfSlit01PdoShiftMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Table;

@Table(name="IF_SLIT01_PDO_SHIFT", namespace=IfSlit01PdoShiftMapper.class)
public class IfSlit01PdoShift extends BaseVO implements Serializable {
	
	@Column
	private String msgcounter;
	public String getMsgcounter() {
		return msgcounter;
	}
	public void setMsgcounter(String msgcounter) {
		this.msgcounter = msgcounter;
	}
	/** 
	 * 消息时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date msg_time;
	public Date getMsg_time() {
		return this.msg_time;
	}
	public void setMsg_time(Date msg_time) {
		this.msg_time = msg_time;
	}

	/** 
	 * 作业时间
	 */ 
	@Column
	private String wrk_date;
	public String getWrk_date() {
		return this.wrk_date;
	}
	public void setWrk_date(String wrk_date) {
		this.wrk_date = wrk_date;
	}

	/** 
	 * 作业班次
	 */ 
	@Column
	private String wrk_ord;
	public String getWrk_ord() {
		return this.wrk_ord;
	}
	public void setWrk_ord(String wrk_ord) {
		this.wrk_ord = wrk_ord;
	}

	/** 
	 * 投入卷数
	 */ 
	@Column
	private Long number_input_coil;
	public Long getNumber_input_coil() {
		return this.number_input_coil;
	}
	public void setNumber_input_coil(Long number_input_coil) {
		this.number_input_coil = number_input_coil;
	}

	/** 
	 * 投入卷重
	 */ 
	@Column
	private Double total_input_mat_wt;
	public Double getTotal_input_mat_wt() {
		return this.total_input_mat_wt;
	}
	public void setTotal_input_mat_wt(Double total_input_mat_wt) {
		this.total_input_mat_wt = total_input_mat_wt;
	}

	/** 
	 * 产出卷数
	 */ 
	@Column
	private Long number_baby_coil;
	public Long getNumber_baby_coil() {
		return this.number_baby_coil;
	}
	public void setNumber_baby_coil(Long number_baby_coil) {
		this.number_baby_coil = number_baby_coil;
	}

	/** 
	 * 产出卷重
	 */ 
	@Column
	private Double total_wt_output_mat;
	public Double getTotal_wt_output_mat() {
		return this.total_wt_output_mat;
	}
	public void setTotal_wt_output_mat(Double total_wt_output_mat) {
		this.total_wt_output_mat = total_wt_output_mat;
	}

	/** 
	 * 吊销卷数
	 */ 
	@Column
	private Long total_rejet_coil;
	public Long getTotal_rejet_coil() {
		return this.total_rejet_coil;
	}
	public void setTotal_rejet_coil(Long total_rejet_coil) {
		this.total_rejet_coil = total_rejet_coil;
	}

	/** 
	 * 吊销卷重
	 */ 
	@Column
	private Double total_wt_rejet_coil;
	public Double getTotal_wt_rejet_coil() {
		return this.total_wt_rejet_coil;
	}
	public void setTotal_wt_rejet_coil(Double total_wt_rejet_coil) {
		this.total_wt_rejet_coil = total_wt_rejet_coil;
	}

	/** 
	 * 停机时间（min）
	 */ 
	@Column
	private Double stop_line;
	public Double getStop_line() {
		return this.stop_line;
	}
	public void setStop_line(Double stop_line) {
		this.stop_line = stop_line;
	}

	/** 
	 * 准备时间（min）
	 */ 
	@Column
	private Double ready_line;
	public Double getReady_line() {
		return this.ready_line;
	}
	public void setReady_line(Double ready_line) {
		this.ready_line = ready_line;
	}

	/** 
	 * 生产时间（min）
	 */ 
	@Column
	private Double production_line;
	public Double getProduction_line() {
		return this.production_line;
	}
	public void setProduction_line(Double production_line) {
		this.production_line = production_line;
	}

	/** 
	 * 电耗（kwh）
	 */ 
	@Column
	private Long energy_expended_shift;
	public Long getEnergy_expended_shift() {
		return this.energy_expended_shift;
	}
	public void setEnergy_expended_shift(Long energy_expended_shift) {
		this.energy_expended_shift = energy_expended_shift;
	}

}
